Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
experimentation
/
feature-flags
/
{id}
/
variations
List all variations for a feature flag.
curl --request GET \
  --url https://{tenantDomain}/api/v2/experimentation/feature-flags/{id}/variations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/experimentation/feature-flags/{id}/variations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/experimentation/feature-flags/{id}/variations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "variations": [
    {
      "id": "<string>",
      "feature_flag_id": "<string>",
      "name": "<string>",
      "overrides": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The ID of the parent feature flag.

Réponse

Variations successfully retrieved.

variations
object[]
requis